import xhiveframework


def execute():
	Event = xhiveframework.qb.DocType("Event")
	query = (
		xhiveframework.qb.update(Event)
		.set(Event.event_type, "Private")
		.set(Event.status, "Cancelled")
		.where(Event.event_type == "Cancelled")
	)
	query.run()
